PUT /v1/assistant/persona
curl --request PUT \
--url https://api.usehasp.com/v1/assistant/persona \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"persona": "<string>"
}
'import requests
url = "https://api.usehasp.com/v1/assistant/persona"
payload = { "persona": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({persona: '<string>'})
};
fetch('https://api.usehasp.com/v1/assistant/persona', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
"<unknown>"
]
}{
"success": false,
"error": {
"type": "authentication",
"code": "INVALID_API_KEY",
"message": "Bearer token is missing, malformed, or revoked.",
"param": null,
"details": null,
"retryable": false,
"request_id": "01JQREQ7XZQK5N6PZ1VVXHYB8T"
},
"meta": {
"request_id": "01JQREQ7XZQK5N6PZ1VVXHYB8T"
}
}{
"success": false,
"error": {
"type": "permission",
"code": "MISSING_SCOPE",
"message": "The caller is authenticated but lacks the scope or capability this route requires.",
"param": null,
"details": null,
"retryable": false,
"request_id": "01JQREQ7XZQK5N6PZ1VVXHYB8T"
},
"meta": {
"request_id": "01JQREQ7XZQK5N6PZ1VVXHYB8T"
}
}{
"message": "<string>",
"errors": {}
}Persona
PUT /v1/assistant/persona
PUT
/
assistant
/
persona
PUT /v1/assistant/persona
⌘I